Bug 1691931 - memory leak in automember plugin
Summary: memory leak in automember plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: mreynolds
QA Contact: RHDS QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-22 20:44 UTC by mreynolds
Modified: 2020-09-13 22:19 UTC (History)
7 users (show)

Fixed In Version: 389-ds-base-1.3.10.1-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 19:46:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github 389ds 389-ds-base issues 3359 None None None 2020-09-13 22:19:52 UTC
Red Hat Product Errata RHBA-2020:1064 None None None 2020-03-31 19:46:55 UTC

Description mreynolds 2019-03-22 20:44:04 UTC
Description of problem:

Memory leak in automember plugin when automember group does not exist.  Found during coverity scan.


1. 389-ds-base-1.3.9.1/ldap/servers/plugins/automember/automember.c:1631: alloc_fn: Storage is returned from allocation function "slapi_pblock_new".
2. 389-ds-base-1.3.9.1/ldap/servers/plugins/automember/automember.c:1631: var_assign: Assigning: "mod_pb" = storage returned from "slapi_pblock_new()".
6. 389-ds-base-1.3.9.1/ldap/servers/plugins/automember/automember.c:1659: leaked_storage: Variable "mod_pb" going out of scope leaks the storage it points to.
#  1657|           }
#  1658|           slapi_entry_free(group_entry);
#  1659|->         return rc;
#  1660|       }
#  1661|       slapi_entry_free(group_entry);

Comment 2 mreynolds 2019-03-22 20:45:45 UTC
Upstream ticket

https://pagure.io/389-ds-base/issue/50300

Comment 6 errata-xmlrpc 2020-03-31 19:46:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1064


Note You need to log in before you can comment on or make changes to this bug.